﻿using Dto;
using Entities;
using Model;

namespace Shared.Mapper;

public static class InquiryMapper
{
    public static Inquiry FromDTOToModel(this InquiryDTO inqDto)
    {
        return new Inquiry(inqDto.Id, inqDto.Title, inqDto.Description, inqDto.IsUser);
    }

    public static Inquiry FromEntityToModel(this InquiryEntity inqEntity)
    {
        return new Inquiry(inqEntity.Id, inqEntity.Title, inqEntity.Description, inqEntity.IsUser);
    }


    public static InquiryEntity FromModelToEntity(this Inquiry inq)
    {
        return new InquiryEntity(inq.Id, inq.Title, inq.Description, inq.IsUser);
    }

    public static InquiryEntity FromDTOToEntity(this InquiryDTO inqDto)
    {
        return new InquiryEntity(inqDto.Id, inqDto.Title, inqDto.Description, inqDto.IsUser);
    }

    public static InquiryDTO FromModelToDTO(this Inquiry inq)
    {
        return new InquiryDTO(inq.Id, inq.Title, inq.Description, inq.IsUser);
    }

    public static InquiryDTO FromEntityToDTO(this InquiryEntity inqEntity)
    {
        return new InquiryDTO(inqEntity.Id, inqEntity.Title, inqEntity.Description, inqEntity.IsUser);
    }
}