using Dto;

namespace TestEF.Dto;

public class TestSolutionDTO
{
    private const string _murdererFirstName = "John";
    private const string _murdererLastName = "Doe";
    private const string _murderPlace = "WhiteHouse";
    private const string _murderWeapon = "Nuclear Bomb";
    private const string _explaination = "This is an explaination";
    private const int _inquiryId = 42;

    [Fact]
    public void TestDefaultConstructor()
    {
        SolutionDTO solution = new SolutionDTO();
        Assert.Equal(0,solution.OwnerId);
        Assert.Null(solution.MurdererFirstName);
        Assert.Null(solution.MurdererLastName);
        Assert.Null(solution.MurderPlace);
        Assert.Null(solution.MurderWeapon);
        Assert.Null(solution.Explanation);
    }
    [Fact]
    public void TestConstructorWithoutOwnerId()
    {
        SolutionDTO solution = new SolutionDTO(_murdererFirstName,_murdererLastName,_murderPlace,_murderWeapon, _explaination);
        Assert.Equal(0,solution.OwnerId);
        Assert.Equal(_murdererFirstName,solution.MurdererFirstName);
        Assert.Equal(_murdererLastName,solution.MurdererLastName);
        Assert.Equal(_murderPlace,solution.MurderPlace);
        Assert.Equal(_murderWeapon,solution.MurderWeapon);
        Assert.Equal(_explaination, solution.Explanation);
    }
    
    [Fact]
    public void TestConstructorWithAllAttributes()
    {
        SolutionDTO solution = new SolutionDTO(_inquiryId,_murdererFirstName,_murdererLastName,_murderPlace,_murderWeapon, _explaination);
        Assert.Equal(_inquiryId,solution.OwnerId);
        Assert.Equal(_murdererFirstName,solution.MurdererFirstName);
        Assert.Equal(_murdererLastName,solution.MurdererLastName);
        Assert.Equal(_murderPlace,solution.MurderPlace);
        Assert.Equal(_murderWeapon,solution.MurderWeapon);
        Assert.Equal(_explaination, solution.Explanation);
    }
}