using Dto;

namespace TestEF.Dto;

public class TestSuccessDTO
{
    private const int _userId = 42;
    private const int _inquiryId = 7;
    private const bool _isFinished = true;

    [Fact]
    public void TestDefaultConstructor()
    {
        SuccessDTO success = new SuccessDTO();
        Assert.Equal(0, success.UserId);
        Assert.Equal(0, success.InquiryId);
        Assert.False(success.IsFinished);
    }

    [Fact]
    public void TestConstructorWithIds()
    {
        SuccessDTO success = new SuccessDTO(_userId, _inquiryId, _isFinished);
        Assert.Equal(_userId, success.UserId);
        Assert.Equal(_inquiryId, success.InquiryId);
        Assert.True(success.IsFinished);
    }
}