using Dto;

namespace TestEF.Dto
{
    public class TestUserDTO
    {
        private const string _username = "username";
        private const string _email = "example@email.com";
        private const string _password = "password";
        private const bool _isAdmin = true;
        private const int _id = 42;

        [Fact]
        public void TestDefaultConstructor()
        {
            UserDTO user = new UserDTO();
            Assert.Equal(0,user.Id);
            Assert.Null(user.Username);
            Assert.Null(user.Email);
            Assert.Null(user.Password);
            Assert.False(user.IsAdmin);
        }

        [Fact]
        public void TestConstructorWithoutId()
        {
            UserDTO user = new UserDTO(_username, _password, _email, _isAdmin);
            Assert.Equal(0,user.Id);
            Assert.Equal(_username, user.Username);
            Assert.Equal(_email, user.Email);
            Assert.Equal(_password, user.Password);
            Assert.True(user.IsAdmin);
        }
        
        [Fact]
        public void TestConstructorWithoutAllAttributes()
        {
            UserDTO user = new UserDTO(_id, _username, _password, _email, _isAdmin);
            Assert.Equal(_id,user.Id);
            Assert.Equal(_username, user.Username);
            Assert.Equal(_email, user.Email);
            Assert.Equal(_password, user.Password);
            Assert.True(user.IsAdmin);
        }
    }
}