﻿namespace TestEF.EntitiesTests;

public class TestContentLessonEntity
{
    [Fact]
    public void Constructor_ShouldSetProperties_WhenCalledWithTwoParameters()
    {
        // Arrange
        const string contentContent = "Content";
        const string contentTitle = "Title";

        // Act
        var concreteContentLessonEntity = new ConcreteContentLessonEntity(contentContent, contentTitle);

        // Assert
        Assert.Equal(contentContent, concreteContentLessonEntity.ContentContent);
        Assert.Equal(contentTitle, concreteContentLessonEntity.ContentTitle);
    }

    [Fact]
    public void Constructor_ShouldSetProperties_WhenCalledWithThreeParameters()
    {
        // Arrange
        const int id = 1;
        const string contentContent = "Content";
        const string contentTitle = "Title";

        // Act
        var concreteContentLessonEntity = new ConcreteContentLessonEntity(id, contentContent, contentTitle);

        // Assert
        Assert.Equal(id, concreteContentLessonEntity.Id);
        Assert.Equal(contentContent, concreteContentLessonEntity.ContentContent);
        Assert.Equal(contentTitle, concreteContentLessonEntity.ContentTitle);
    }

    [Fact]
    public void Constructor_ShouldSetProperties_WhenCalledWithFourParameters()
    {
        // Arrange
        const int id = 1;
        const int lessonId = 2;
        const string contentContent = "Content";
        const string contentTitle = "Title";

        // Act
        var concreteContentLessonEntity = new ConcreteContentLessonEntity(id, lessonId, contentContent, contentTitle);

        // Assert
        Assert.Equal(id, concreteContentLessonEntity.Id);
        Assert.Equal(lessonId, concreteContentLessonEntity.LessonId);
        Assert.Equal(contentContent, concreteContentLessonEntity.ContentContent);
        Assert.Equal(contentTitle, concreteContentLessonEntity.ContentTitle);
    }
}