﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Dto;
using Entities;
using Shared.Mapper;

namespace TestEF.Mapper
{
    public class InquiryMapperUnitTest
    {
        private const int _id = 1;
        private const string _title = "Title";
        private const string _description = "_description";
        private const bool _isUser = true;

        [Fact]
        public void TestDtoToEntity()
        {
            InquiryDTO inquiry = new InquiryDTO(_id, _title, _description, _isUser);
            var inquiryEntity = inquiry.FromDTOToEntity();

            Assert.NotNull(inquiryEntity);
            Assert.IsType<InquiryEntity>(inquiryEntity);
            Assert.Equal(1, inquiry.Id);
            Assert.Equal(_title, inquiry.Title);
            Assert.Equal(_description, inquiry.Description);
        }

        [Fact]
        public void TestEntityToDto()
        {
            InquiryEntity inquiry = new InquiryEntity(_title, _description, _isUser);

            var inquiryEntity = inquiry.FromEntityToDTO();

            Assert.NotNull(inquiryEntity);
            Assert.IsType<InquiryDTO>(inquiryEntity);
            Assert.Equal(0, inquiry.Id);
            Assert.Equal(_title, inquiry.Title);
            Assert.Equal(_description, inquiry.Description);
        }

    }
}
