﻿using Dto;
using Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Shared.Mapper;
using Model;

namespace TestEF.Mapper
{
    public class LessonMapperUnitTest
    {
        private const int _id = 1;
        private const string _title = "Title";
        private const string _lastPublisher = "_lastPublisher";
        private DateOnly date = new DateOnly(2024,03,02);

        [Fact]
        public void TestDtoToEntity()
        {
            LessonDTO lesson = new LessonDTO(_id, _title, _lastPublisher, date);
            var lessonEntity = lesson.FromDTOToEntity();

            Assert.NotNull(lessonEntity);
            Assert.IsType<LessonEntity>(lessonEntity);
            Assert.Equal(1, lesson.Id);
            Assert.Equal(_title, lesson.Title);
            Assert.Equal(_lastPublisher, lesson.LastPublisher);
        }

        [Fact]
        public void TestEntityToDto()
        {
            LessonEntity lesson = new LessonEntity(_id,_title, _lastPublisher, date);

            var lessonEntity = lesson.FromEntityToDTO();

            Assert.NotNull(lessonEntity);
            Assert.IsType<LessonDTO>(lessonEntity);
            Assert.Equal(1, lesson.Id);
            Assert.Equal(_title, lesson.Title);
            Assert.Equal(_lastPublisher, lesson.LastPublisher);
        }
    }
}
