﻿using Dto;
using Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Shared.Mapper;

namespace TestEF.Mapper
{
    public class SuccessMapperUnitTest
    {

        private const int _userId = 1;
        private const int _inquiryId = 2;
        private const bool _isFinished = true;

        [Fact]
        public void TestDtoToEntity()
        {
            SuccessDTO success = new SuccessDTO(_userId,_inquiryId,_isFinished);
            var successEntity = success.FromDTOToEntity();

            Assert.NotNull(successEntity);
            Assert.IsType<SuccessEntity>(successEntity);
            Assert.Equal(1, success.UserId);
            Assert.Equal(2, success.InquiryId);
            Assert.True(success.IsFinished);

        }

        [Fact]
        public void TestEntityToDto()
        {
            SuccessEntity success = new SuccessEntity(_userId, _inquiryId, _isFinished);
            var successEntity = success.FromEntityToDTO();

            Assert.NotNull(successEntity);
            Assert.IsType<SuccessDTO>(successEntity);
            Assert.Equal(1, success.UserId);
            Assert.Equal(2, success.InquiryId);
            Assert.True(success.IsFinished);
        }
    }
}
