﻿using Dto;
using Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Model;
using Shared.Mapper;

namespace TestEF.Mapper
{
    public class UserMapperUnitTest
    {

        private const int _userId = 1;
        private const string _username = "Username";
        private const string _password = "password";
        private const string _email = "email@email.com";
        private const bool _isAdmin = true;

        [Fact]
        public void TestDtoToEntity()
        {
            UserDTO user = new UserDTO(_userId,_username,_password,_email,_isAdmin);
            var userEntity = user.FromDTOToEntity();

            Assert.NotNull(userEntity);
            Assert.IsType<UserEntity>(userEntity);
            Assert.Equal(1, user.Id);
            Assert.Equal("Username", user.Username);
            Assert.Equal("password", user.Password);
            Assert.Equal("email@email.com", user.Email);
            Assert.True(user.IsAdmin);

        }

        [Fact]
        public void TestEntityToDto()
        {
            UserEntity user = new UserEntity(_userId, _username, _password, _email, _isAdmin);
            var userEntity = user.FromEntityToDTO();

            Assert.NotNull(userEntity);
            Assert.IsType<UserDTO>(userEntity);
            Assert.Equal(1, user.Id);
            Assert.Equal("Username", user.Username);
            Assert.Equal("password", user.Password);
            Assert.Equal("email@email.com", user.Email);
            Assert.True(user.IsAdmin);
        }
    }
}
